'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = isEscaping;

var _findEndOfExpression = require('./find-end-of-expression');

var _findEndOfExpression2 = _interopRequireDefault(_findEndOfExpression);

var _globals = require('./globals');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function isEscaping(state) {
    var result = false;

    if (state.symbolCode === _globals.tilde) {
        var quotePattern = /\s*['"`]/g;

        quotePattern.lastIndex = state.pos + 1;

        var match = quotePattern.exec(state.css);

        if (match && match.index === state.pos + 1) {
            var end = (0, _findEndOfExpression2.default)(state.css, state.length, quotePattern.lastIndex + 1);

            if (end !== -1) {
                result = true;
                state.nextPos = end;
            }
        }
    }

    return result;
}
module.exports = exports['default'];